com.sap.cloud.account

## Class TenantUnavailableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - com.sap.cloud.account.TenantUnavailableException

- All Implemented Interfaces:
    Serializable

      public class TenantUnavailableException
      extends RuntimeException

  TenantUnavailableException is a runtime exception which is thrown when the tenant context is unavailable.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TenantUnavailableException(String message)` Constructs a new tenant unavailable exception with the specified detail message.
    `TenantUnavailableException(String message, Exception nestedException)` Constructs a new tenant unavailable exception with the specified detail message and cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TenantUnavailableException

          public TenantUnavailableException(String message,
                                    Exception nestedException)

      Constructs a new tenant unavailable exception with the specified detail message and cause.

      Note that the detail message associated with `cause` is not automatically incorporated in this exception's detail message.

      Parameters:
        `message` - the detail message which is saved for later retrieval by the `Throwable.getMessage()` method
        `nestedException` - cause the cause (which is saved for later retrieval by the `Throwable.getCause()` method).

    - #### TenantUnavailableException

          public TenantUnavailableException(String message)

      Constructs a new tenant unavailable exception with the specified detail message.
      Parameters:
        `message` - the detail message which is saved for later retrieval by the `Throwable.getMessage()` method.

Copyright © 2018 SAP. All Rights Reserved.